# DaprProtos.ActiveActorsCount.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.ActiveActorsCount.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>
      - - io.dapr.v1.DaprProtos.ActiveActorsCount.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.ActiveActorsCountOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.ActiveActorsCount

    public static final class DaprProtos.ActiveActorsCount.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>
    implements DaprProtos.ActiveActorsCountOrBuilder

Protobuf type `dapr.proto.runtime.v1.ActiveActorsCount`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.ActiveActorsCount.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.ActiveActorsCount` `build()`
`DaprProtos.ActiveActorsCount` `buildPartial()`
`DaprProtos.ActiveActorsCount.Builder` `clear()`
`DaprProtos.ActiveActorsCount.Builder` `clearCount()` `int32 count = 2;`
`DaprProtos.ActiveActorsCount.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.ActiveActorsCount.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.ActiveActorsCount.Builder` `clearType()` `string type = 1;`
`DaprProtos.ActiveActorsCount.Builder` `clone()`
`int` `getCount()` `int32 count = 2;`
`DaprProtos.ActiveActorsCount` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getType()` `string type = 1;`
`com.google.protobuf.ByteString` `getTypeBytes()` `string type = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.ActiveActorsCount.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.ActiveActorsCount.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.ActiveActorsCount.Builder` `mergeFrom​(DaprProtos.ActiveActorsCount other)`
`DaprProtos.ActiveActorsCount.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.ActiveActorsCount.Builder` `setCount​(int value)` `int32 count = 2;`
`DaprProtos.ActiveActorsCount.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.ActiveActorsCount.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.ActiveActorsCount.Builder` `setType​(String value)` `string type = 1;`
`DaprProtos.ActiveActorsCount.Builder` `setTypeBytes​(com.google.protobuf.ByteString value)` `string type = 1;`
`DaprProtos.ActiveActorsCount.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### clear

    public DaprProtos.ActiveActorsCount.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.ActiveActorsCount getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.ActiveActorsCount build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.ActiveActorsCount buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.ActiveActorsCount.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### setField

    public DaprProtos.ActiveActorsCount.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### clearField

    public DaprProtos.ActiveActorsCount.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### clearOneof

    public DaprProtos.ActiveActorsCount.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### setRepeatedField

    public DaprProtos.ActiveActorsCount.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 int index,
                                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### addRepeatedField

    public DaprProtos.ActiveActorsCount.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### mergeFrom

    public DaprProtos.ActiveActorsCount.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### mergeFrom

    public DaprProtos.ActiveActorsCount.Builder mergeFrom​(DaprProtos.ActiveActorsCount other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### mergeFrom

    public DaprProtos.ActiveActorsCount.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.ActiveActorsCount.Builder>`
Throws:
  `IOException`

#### getType

    public String getType()

`string type = 1;`

Specified by:
  `getType` in interface `DaprProtos.ActiveActorsCountOrBuilder`
Returns:
  The type.

#### getTypeBytes

    public com.google.protobuf.ByteString getTypeBytes()

`string type = 1;`

Specified by:
  `getTypeBytes` in interface `DaprProtos.ActiveActorsCountOrBuilder`
Returns:
  The bytes for type.

#### setType

    public DaprProtos.ActiveActorsCount.Builder setType​(String value)

`string type = 1;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

#### clearType

    public DaprProtos.ActiveActorsCount.Builder clearType()

`string type = 1;`

Returns:
  This builder for chaining.

#### setTypeBytes

    public DaprProtos.ActiveActorsCount.Builder setTypeBytes​(com.google.protobuf.ByteString value)

`string type = 1;`

Parameters:
  `value` - The bytes for type to set.
Returns:
  This builder for chaining.

#### getCount

    public int getCount()

`int32 count = 2;`

Specified by:
  `getCount` in interface `DaprProtos.ActiveActorsCountOrBuilder`
Returns:
  The count.

#### setCount

    public DaprProtos.ActiveActorsCount.Builder setCount​(int value)

`int32 count = 2;`

Parameters:
  `value` - The count to set.
Returns:
  This builder for chaining.

#### clearCount

    public DaprProtos.ActiveActorsCount.Builder clearCount()

`int32 count = 2;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.ActiveActorsCount.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`

#### mergeUnknownFields

    public final DaprProtos.ActiveActorsCount.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.ActiveActorsCount.Builder>`